package eu.dnetlib.validatorapi.controllers;

import java.io.Serializable;

public class SummaryResultId implements Serializable {
    public String ruleName;
    public int validationJobId;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        SummaryResultId that = (SummaryResultId) o;

        System.out.println("\n\n\n\n");
        System.out.println("Validation job id " + validationJobId);
        System.out.println("rule_name " + ruleName);
        System.out.println("\n\n\n\n");


        if (validationJobId != that.validationJobId) return false;
        return ruleName != null ? ruleName.equals(that.ruleName) : that.ruleName == null;
    }

    // Implement hashCode method
    @Override
    public int hashCode() {
        int result = ruleName != null ? ruleName.hashCode() : 0;
        result = 31 * result + validationJobId;
        return result;
    }
}
